FieldableNode (Lucene 3.6.2 API)
Keywords: org.apache.lucene.queryParser.core.nodes.FieldableNode interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser.core.nodes
Interface FieldableNode

All Superinterfaces:
  QueryNode, Serializable

All Known Subinterfaces:
  FieldValuePairQueryNode<T>, RangeQueryNode<T>

All Known Implementing Classes:
  AbstractRangeQueryNode, FieldQueryNode, FuzzyQueryNode, MultiPhraseQueryNode, NumericQueryNode, NumericRangeQueryNode, ParametricQueryNode, ParametricRangeQueryNode, PhraseSlopQueryNode, PrefixWildcardQueryNode, QuotedFieldQueryNode, RangeQueryNode, SlopQueryNode, TermRangeQueryNode, TokenizedPhraseQueryNode, WildcardQueryNode

    public interface FieldableNode

extends QueryNode

A query node implements `FieldableNode` interface to indicate that its children and itself are associated to a specific field. If it has any children which also implements this interface, it must ensure the children are associated to the same field.

Method Summary
`CharSequence` | `getField()` Returns the field associated to the node and every node under it.
`void` | `setField(CharSequence fieldName)` Associates the node to a field.

Methods inherited from interface org.apache.lucene.queryParser.core.nodes.QueryNode
`add, add, cloneTree, containsTag, containsTag, getChildren, getParent, getTag, getTag, getTagMap, getTags, isLeaf, set, setTag, setTag, toQueryString, toString, unsetTag, unsetTag`

Method Detail

### getField

    CharSequence getField()

  Returns the field associated to the node and every node under it.

  Returns:
    the field name

### setField

    void setField(CharSequence fieldName)

  Associates the node to a field.

  Parameters:
    `fieldName` - the field name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD